package it.integry.integrywmsnative.core.model;

import it.integry.integrywmsnative.core.di.BindableBoolean;

public class CheckableMtbColr {


    private MtbColr mtbColr;
    private BindableBoolean checked = new BindableBoolean(false);

    public CheckableMtbColr(MtbColr mtbColr) {
        this.mtbColr = mtbColr;
    }

    public MtbColr getMtbColr() {
        return mtbColr;
    }

    public CheckableMtbColr setMtbColr(MtbColr mtbColr) {
        this.mtbColr = mtbColr;
        return this;
    }

    public BindableBoolean getChecked() {
        return checked;
    }

    public CheckableMtbColr setChecked(BindableBoolean checked) {
        this.checked = checked;
        return this;
    }

    public void toggleCheck() {
        this.checked.set(!this.checked.get());
    }
}
